VDEVD(8)

NAME
vdevd - device-file manager daemon

SYNOPSIS
vdevd [options]

DESCRIPTION
vdevd is a portable userspace device-file manager daemon. Its main task is to manage the "/dev" file structue in response to kernel events, to add, remove and configure device nodes and symbolic links so to make devices available through the traditional well defined naming scheme. The details of operation are programmed by a combination of action declarations and helper scripts. The action declarations are used for recognising the types of devices, and the helper scripts implement the particulars for adding, removing or changing associated set up within the "/dev" directory tree. See vdevd-actions for details. vdevd is configured via command line options or via a configuration file, /etc/vdev/vdevd.conf by default.

OPTIONS

-c path
    Names the configuration file. which is /etc/vdev/vdevd.conf by default.

-d  (Fuse option)

-f  (Fuse option) This makes vdevd run in foreground mode.

-l path
    Names the log file, which alternatively named via the logfile assignment in the configuration file.

-n, -1
    coldplug only

-o options
    (Fuse option) The mount options for "/dev"?

-p path
    Names the PID file, which alternatively via the pidfile assignment in the configuration file.

-s  (Fuse option)

-v LEVEL
    Sets debug level as given. Accepted levels are: error, warn, info ??

THE CONFIGURATION FILE

[vdev-config]
firmware=/lib/firmware
acls=./etc/vdev/acls
actions=/etc/vdev/actions
helpers=/lib/vdev
ifnames=/etc/vdev/ifnames.conf
pidfile=/run/vdev/vdevd.pid
hwdb=/lib/vdev/hwdb/hwdb.squashfs
default_permissions=0600
loglevel=debug
logfile=/run/vdev/vdev.log
preseed=/lib/vdev/dev-setup.sh

FILES

/etc/vdev/
    This directory contains the configuration file, the access control lists and the action declarations.

/lib/vdev/
    This directory contains the helper scripts and binaries.

SEE ALSO
vdevd-actions(8).

CONTRIBUTIONS
This software was primarily developed by Jude Nelson <judecn@gmail.com>.
Various contributions by: Didier Kryn <kryn@in2p3.fr>, Kylie McClain <somasis@exherbo.org>, Jack Frost <fbt@fleshless.org, tilt12345678, Suedi, Obarun, Peter Gossner <gossner@internode.on.net>
This man page is maintained by Ralph Ronnquist <ralph.ronnquist@gmail.com>.